criteria.h File Reference
`#include <com/lomiri/location/optional.h>`
`#include <com/lomiri/location/units/units.h>`
Include dependency graph for criteria.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | com::lomiri::location::Criteria
| Summarizes criteria of a client session with respect to functionality and accuracy for position, velocity and heading measurements. More...
struct | com::lomiri::location::Criteria::Requires
struct | com::lomiri::location::Criteria::Accuracy

## Namespaces

namespace | com
namespace | com::lomiri
namespace | com::lomiri::location

## Functions

Criteria | com::lomiri::location::operator+ (const Criteria &lhs, const Criteria &rhs)
| operator + merges lhs and rhs such that satisfying the new criteria satisfies lhs and rhs.